﻿using System;
using System.Data.Entity;
using WinRT.Data;

namespace WinRT.DataAccess
{
    public class Initializer : DropCreateDatabaseIfModelChanges<Context>
    {
        protected override void Seed(Context context)
        {
            base.Seed(context);
            context.Sessions.Add(new Session()
            {
                Title = "Introduction to the Windows Runtime",
                Description = "The upcoming “Windows 8” operating system includes a new application development platform called the Windows Runtime or WinRT. In this session you will learn how WinRT fits into the overall Windows operating system and application platform, and see how it relates to .NET, Silverlight, HMTL and other existing development technologies. As we all look forward to the future of software development it seems clear that WinRT will rapidly become an important component of the overall Microsoft development platform, and you need the clear picture of this technology provided by this session.",
                Speaker = "Rockford Lhotka",
                When = new DateTime(2012, 3, 27, 9, 15, 0)
            });
            context.Sessions.Add(new Session()
            {
                Title = "Windows 8 Metro-style Application Contracts and Extensibility",
                Description = "Contracts are a new feature of Windows 8 Metro-style applications that allow applications to interact with the operating system and other Metro-style applications in a standard way. With contracts, applications can implement interfaces to allow searching, sharing, settings, app-to-app file picking, and more. In this session, we will explore these contracts and how they can be used in any Windows 8 Metro-style application to provide a seamless, integrated experience for users.",
                Speaker = "Brian Peek",
                When = new DateTime(2012, 3, 27, 10, 45, 0)
            });
            context.Sessions.Add(new Session()
            {
                Title = "Building Data Driven Applications Using WinRT and XAML",
                Description = "This session will help attendees understand data access techniques in WinRT. The talk will highlight various ways to persists the data locally and via services. Topics will include data binding implications in regard with data usages, asynchronous access to data, and binding to various XAML controls.",
                Speaker = "Sergey Barskiy",
                When = new DateTime(2012, 3, 27, 14, 30, 0)
            });
            context.Sessions.Add(new Session()
            {
                Title = "A Look at Windows 8 Metro Apps and WinRT Internals",
                Description = "This session will introduce the key concepts behind a Windows 8 Metro style App, including Windows RunTime, language projections and WinRT Type System. After a review of key concepts, we will walk-through several examples that illustrate how .NET languages and JavaScript can be used to build Windows Metro Style Apps.",
                Speaker = "Vishwas Lele",
                When = new DateTime(2012, 3, 27, 16, 0, 0)
            });
        }
    }
}
